import com.imsl.chart.*;
import com.imsl.chart.qc.*;

public class SampleCChart extends JFrameChart {    
    static final int numberDefects[] = {
        21, 24, 16, 12, 15, 5, 28, 20, 31, 25, 20, 24, 
        16, 19, 10, 17, 13, 22, 18, 39, 30, 24, 16, 19, 
        17, 15
    };
    
    public SampleCChart() {
        Chart chart = getChart();
        AxisXY axis = new AxisXY(chart);
        CChart cchart = new CChart(axis, numberDefects);
        
        axis.getAxisX().getAxisTitle().setTitle("Sample Number");
        axis.getAxisX().getAxisLabel().setTextFormat("0");
        axis.getAxisY().getAxisTitle().setTitle("Number of Defects");
    }
    
    public static void main(String argv[]) {
        new SampleCChart().setVisible(true);
    }
}